ressource.socialbetadocumentation
API referenceNotifications

Per-community activity preferences

Each community the caller is a member of, with the effective switch for each activity type (the community's own, else the global one).

GET
/api/v1/notifications/preferences/communities

Sends a real request with your token. Prefer a read-only token; it is kept in this browser's storage.

Each community the caller is a member of, with the effective switch for each activity type (the community's own, else the global one).

Authorization

headerAuthorizationBearer <token>

A personal access token (rsk_…) or a Supabase access token.

Response Body

The communities

application/json
  1. response
items*array<unknown>
curl -X GET 'https://www.ressource.social/api/v1/notifications/preferences/communities'
{  "items": [    null  ]}